NX Open C++ Reference Guide
Public Member Functions | List of all members
NXOpen::Annotations::RadialDimensionBuilder Class Reference

Represents a NXOpen::Annotations::Dimension builder
To create a new instance of this class, use NXOpen::Annotations::DimensionCollection::CreateRadialDimensionBuilder

Created in NX9.0.0. More...

Inheritance diagram for NXOpen::Annotations::RadialDimensionBuilder:
NXOpen::Annotations::BaseRadialDimensionBuilder NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Member Functions

NXOpen::Annotations::DrivingValueBuilderDriving ()
 Returns the driving
Created in NX9.0.0. More...
 
NXOpen::Annotations::ForeshorteningSymbolBuilderForeshorteningSymbol ()
 Returns the foreshortening symbol builder
Created in NX10.0.0. More...
 
NXOpen::Annotations::TextPlacement GetNthSecondaryArrowheadOrientation (int nth)
 The arrowhead orientation for nth secondary dimensions. More...
 
NXOpen::Point3d GetNthSecondaryOrigin (int nth)
 The origins for secondary dimensions. More...
 
std::vector
< NXOpen::Annotations::Dimension * > 
GetSecondaryCallouts ()
 The secondary callouts. More...
 
bool IsAutoplaced ()
 Returns a flag to indicate if auto placement turned on. More...
 
void SetAutoplaced (bool isAutoplaced)
 Sets a flag to indicate if auto placement turned on. More...
 
void SetNthSecondaryArrowheadOrientation (int nth, NXOpen::Annotations::TextPlacement secondaryArrowheadOrientation)
 The arrowhead orientation for nth secondary dimensions
Created in NX11.0.0. More...
 
void SetNthSecondaryOrigin (int nth, const NXOpen::Point3d &secondaryOrigin)
 The origins for secondary dimensions
Created in NX11.0.0. More...
 
- Public Member Functions inherited from NXOpen::Annotations::BaseRadialDimensionBuilder
NXOpen::Annotations::AppendedTextBuilderAppendedText ()
 Returns the appended text
Created in NX9.0.0. More...
 
double DiameterDimensionDimLineAngle ()
 Returns the diameter dimension's dimension-line-angle
Created in NX11.0.0. More...
 
NXOpen::SelectNXObjectFirstAssociativity ()
 Returns the first associativity. More...
 
NXOpen::SelectDisplayableObjectFoldLocation ()
 Returns the fold location
Created in NX9.0.0. More...
 
NXOpen::SelectDisplayableObjectInherit ()
 Returns the inherit
Created in NX9.0.0. More...
 
bool IsFoldedRadius ()
 Returns the is folded radius
Created in NX9.0.0. More...
 
bool IsHoleStyle ()
 Returns the is hole style dimension
Created in NX9.0.0. More...
 
bool IsRadiusToCenter ()
 Returns the is radius to center
Created in NX9.0.0. More...
 
NXOpen::Annotations::DimensionMeasurementBuilderMeasurement ()
 Returns the measurement
Created in NX9.0.0. More...
 
NXOpen::SelectDisplayableObjectOffsetCenterPoint ()
 Returns the offset center point
Created in NX9.0.0. More...
 
NXOpen::Annotations::OriginBuilderOrigin ()
 Returns the origin
Created in NX9.0.0. More...
 
void SetDiameterDimensionDimLineAngle (double dimLineAngle)
 Sets the diameter dimension's dimension-line-angle
Created in NX11.0.0. More...
 
void SetFoldedRadius (bool isFoldedRadius)
 Sets the is folded radius
Created in NX9.0.0. More...
 
void SetHoleStyle (bool isArrowsOutDia)
 Sets the is hole style dimension
Created in NX9.0.0. More...
 
void SetRadiusToCenter (bool isRadiusToCenter)
 Sets the is radius to center
Created in NX9.0.0. More...
 
NXOpen::Annotations::StyleBuilderStyle ()
 Returns the style
Created in NX9.0.0. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents a NXOpen::Annotations::Dimension builder
To create a new instance of this class, use NXOpen::Annotations::DimensionCollection::CreateRadialDimensionBuilder

Created in NX9.0.0.


Member Function Documentation

NXOpen::Annotations::DrivingValueBuilder* NXOpen::Annotations::RadialDimensionBuilder::Driving ( )

Returns the driving
Created in NX9.0.0.



License requirements : None

NXOpen::Annotations::ForeshorteningSymbolBuilder* NXOpen::Annotations::RadialDimensionBuilder::ForeshorteningSymbol ( )

Returns the foreshortening symbol builder
Created in NX10.0.0.



License requirements : None

NXOpen::Annotations::TextPlacement NXOpen::Annotations::RadialDimensionBuilder::GetNthSecondaryArrowheadOrientation ( int  nth)

The arrowhead orientation for nth secondary dimensions.

Returns

Created in NX11.0.0.

License requirements : None
Parameters
nthnth
NXOpen::Point3d NXOpen::Annotations::RadialDimensionBuilder::GetNthSecondaryOrigin ( int  nth)

The origins for secondary dimensions.

Returns

Created in NX11.0.0.

License requirements : None
Parameters
nthnth
std::vector<NXOpen::Annotations::Dimension *> NXOpen::Annotations::RadialDimensionBuilder::GetSecondaryCallouts ( )

The secondary callouts.

Returns

Created in NX11.0.0.

License requirements : None
bool NXOpen::Annotations::RadialDimensionBuilder::IsAutoplaced ( )

Returns a flag to indicate if auto placement turned on.

This is used to compute origins for secondary dimensions
Created in NX11.0.0.

License requirements : None

void NXOpen::Annotations::RadialDimensionBuilder::SetAutoplaced ( bool  isAutoplaced)

Sets a flag to indicate if auto placement turned on.

This is used to compute origins for secondary dimensions
Created in NX11.0.0.

License requirements : geometric_tol ("GDT") OR drafting ("DRAFTING")

Parameters
isAutoplacedisautoplaced
void NXOpen::Annotations::RadialDimensionBuilder::SetNthSecondaryArrowheadOrientation ( int  nth,
NXOpen::Annotations::TextPlacement  secondaryArrowheadOrientation 
)

The arrowhead orientation for nth secondary dimensions
Created in NX11.0.0.



License requirements : geometric_tol ("GDT") OR drafting ("DRAFTING")

Parameters
nthnth
secondaryArrowheadOrientationsecondaryarrowheadorientation
void NXOpen::Annotations::RadialDimensionBuilder::SetNthSecondaryOrigin ( int  nth,
const NXOpen::Point3d secondaryOrigin 
)

The origins for secondary dimensions
Created in NX11.0.0.



License requirements : geometric_tol ("GDT") OR drafting ("DRAFTING")

Parameters
nthnth
secondaryOriginsecondaryorigin

The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.